export const shipTypeMap = new Map();

shipTypeMap.set('0', 'Not available');
shipTypeMap.set('1', 'Reserved for future use');
shipTypeMap.set('2', 'Reserved for future use');
shipTypeMap.set('3', 'Reserved for future use');
shipTypeMap.set('4', 'Reserved for future use');
shipTypeMap.set('5', 'Reserved for future use');
shipTypeMap.set('6', 'Reserved for future use');
shipTypeMap.set('7', 'Reserved for future use');
shipTypeMap.set('8', 'Reserved for future use');
shipTypeMap.set('9', 'Reserved for future use');
shipTypeMap.set('10', 'Reserved for future use');
shipTypeMap.set('11', 'Reserved for future use');
shipTypeMap.set('12', 'Reserved for future use');
shipTypeMap.set('13', 'Reserved for future use');
shipTypeMap.set('14', 'Reserved for future use');
shipTypeMap.set('15', 'Reserved for future use');
shipTypeMap.set('16', 'Reserved for future use');
shipTypeMap.set('17', 'Reserved for future use');
shipTypeMap.set('18', 'Reserved for future use');
shipTypeMap.set('19', 'Reserved for future use');
shipTypeMap.set('20', 'Wing in ground (WIG)');
shipTypeMap.set('21', 'Wing in ground (WIG), Hazardous category A');
shipTypeMap.set('22', 'Wing in ground (WIG), Hazardous category B');
shipTypeMap.set('23', 'Wing in ground (WIG), Hazardous category C');
shipTypeMap.set('24', 'Wing in ground (WIG), Hazardous category D');
shipTypeMap.set('25', 'Wing in ground (WIG), Reserved for future use');
shipTypeMap.set('26', 'Wing in ground (WIG), Reserved for future use');
shipTypeMap.set('27', 'Wing in ground (WIG), Reserved for future use');
shipTypeMap.set('28', 'Wing in ground (WIG), Reserved for future use');
shipTypeMap.set('29', 'Wing in ground (WIG), Reserved for future use');
shipTypeMap.set('30', 'Fishing');
shipTypeMap.set('31', 'Towing');
shipTypeMap.set('32', 'Towing, length exceeds 200m or breadth exceeds 25m');
shipTypeMap.set('33', 'Dredging or underwater ops');
shipTypeMap.set('34', 'Diving ops');
shipTypeMap.set('35', 'Military ops');
shipTypeMap.set('36', 'Sailing');
shipTypeMap.set('37', 'Pleasure Craft');
shipTypeMap.set('38', 'Reserved');
shipTypeMap.set('39', 'Reserved');
shipTypeMap.set('40', 'High speed craft (HSC)');
shipTypeMap.set('41', 'High speed craft (HSC), Hazardous category A');
shipTypeMap.set('42', 'High speed craft (HSC), Hazardous category B');
shipTypeMap.set('43', 'High speed craft (HSC), Hazardous category C');
shipTypeMap.set('44', 'High speed craft (HSC), Hazardous category D');
shipTypeMap.set('45', 'High speed craft (HSC), Reserved for future use');
shipTypeMap.set('46', 'High speed craft (HSC), Reserved for future use');
shipTypeMap.set('47', 'High speed craft (HSC), Reserved for future use');
shipTypeMap.set('48', 'High speed craft (HSC), Reserved for future use');
shipTypeMap.set('49', 'High speed craft (HSC), No additional information');
shipTypeMap.set('50', 'Pilot Vessel');
shipTypeMap.set('51', 'Search and Rescue vessel');
shipTypeMap.set('52', 'Tug');
shipTypeMap.set('53', 'Port Tender');
shipTypeMap.set('54', 'Anti-pollution equipment');
shipTypeMap.set('55', 'Law Enforcement');
shipTypeMap.set('56', 'Spare - Local Vessel');
shipTypeMap.set('57', 'Spare - Local Vessel');
shipTypeMap.set('58', 'Medical Transport');
shipTypeMap.set('59', 'Noncombatant ship according to RR Resolution No. 18');
shipTypeMap.set('60', 'Passenger');
shipTypeMap.set('61', 'Passenger, Hazardous category A');
shipTypeMap.set('62', 'Passenger, Hazardous category B');
shipTypeMap.set('63', 'Passenger, Hazardous category C');
shipTypeMap.set('64', 'Passenger, Hazardous category D');
shipTypeMap.set('65', 'Passenger, Reserved for future use');
shipTypeMap.set('66', 'Passenger, Reserved for future use');
shipTypeMap.set('67', 'Passenger, Reserved for future use');
shipTypeMap.set('68', 'Passenger, Reserved for future use');
shipTypeMap.set('69', 'Passenger, No additional information');
shipTypeMap.set('70', 'Cargo');
shipTypeMap.set('71', 'Cargo, Hazardous category A');
shipTypeMap.set('72', 'Cargo, Hazardous category B');
shipTypeMap.set('73', 'Cargo, Hazardous category C');
shipTypeMap.set('74', 'Cargo, Hazardous category D');
shipTypeMap.set('75', 'Cargo, Reserved for future use');
shipTypeMap.set('76', 'Cargo, Reserved for future use');
shipTypeMap.set('77', 'Cargo, Reserved for future use');
shipTypeMap.set('78', 'Cargo, Reserved for future use');
shipTypeMap.set('79', 'Cargo, No additional information');
shipTypeMap.set('80', 'Tanker');
shipTypeMap.set('81', 'Tanker, Hazardous category A');
shipTypeMap.set('82', 'Tanker, Hazardous category B');
shipTypeMap.set('83', 'Tanker, Hazardous category C');
shipTypeMap.set('84', 'Tanker, Hazardous category D');
shipTypeMap.set('85', 'Tanker, Reserved for future use');
shipTypeMap.set('86', 'Tanker, Reserved for future use');
shipTypeMap.set('87', 'Tanker, Reserved for future use');
shipTypeMap.set('88', 'Tanker, Reserved for future use');
shipTypeMap.set('89', 'Tanker, No additional information');
shipTypeMap.set('90', 'Other Type');
shipTypeMap.set('91', 'Other Type, Hazardous category A');
shipTypeMap.set('92', 'Other Type, Hazardous category B');
shipTypeMap.set('93', 'Other Type, Hazardous category C');
shipTypeMap.set('94', 'Other Type, Hazardous category D');
shipTypeMap.set('95', 'Other Type, Reserved for future use');
shipTypeMap.set('96', 'Other Type, Reserved for future use');
shipTypeMap.set('97', 'Other Type, Reserved for future use');
shipTypeMap.set('98', 'Other Type, Reserved for future use');
shipTypeMap.set('99', 'Other Type, no additional information');
shipTypeMap.set('100', 'Unspecified');

// E-Navigation
shipTypeMap.set('A001', '\uC5EC\uAC1D\uC120(\uC77C\uBC18)');
shipTypeMap.set('A002', '\uC5EC\uAC1D\uC120(\uACE0\uC18D\uC120)');
shipTypeMap.set('A003', '\uC5EC\uAC1D\uC120(\uC7D8\uC18D\uC120)');
shipTypeMap.set('A004', '\uC5EC\uAC1D\uC120(\uCD08\uC7D8\uC18D\uC120)');
shipTypeMap.set('A005', '\uC5EC\uAC1D\uC120(\uCE74\uD6FC\uB9AC)');
shipTypeMap.set('A006', '\uC5EC\uAC1D\uC120(\uCC28\uB3C4\uC120)');
shipTypeMap.set('A007', '\uC5EC\uAC1D\uC120(\uD654\uAC1D\uC120)');
shipTypeMap.set('A008', '\uC5EC\uAC1D\uC120(\uC720\uB78C\uC120)');
shipTypeMap.set('B001', '\uC5B4\uC120(\uC77C\uBC18)');
shipTypeMap.set('B002', '\uC5B4\uC120(\uC720\uC790\uB9DD)');
shipTypeMap.set('B003', '\uC5B4\uC120(\uC120\uB9DD)');
shipTypeMap.set('B004', '\uC5B4\uC120(\uC548\uAC15\uB9DD)');
shipTypeMap.set('B005', '\uC5B4\uC120(\uCC44\uB0DA\uAE30)');
shipTypeMap.set('B006', '\uC5B4\uC120(\uC5F0\uC2B9)');
shipTypeMap.set('B007', '\uC5B4\uC120(\uD2B8\uB864)');
shipTypeMap.set('B008', '\uC5B4\uC120(\uD1B5\uBC1C)');
shipTypeMap.set('B009', '\uC5B4\uC120(\uBCF5\uD569\uC5B4\uC5C5)');
shipTypeMap.set('B010', '\uC5B4\uC120(\uC800\uC778\uB9DD)');
shipTypeMap.set('B011', '\uC5B4\uC120(\uC790\uB9DD)');
shipTypeMap.set('B012', '\uC5B4\uC120(\uAD8C\uD604\uB9DD)');
shipTypeMap.set('B013', '\uC5B4\uC120(\uC6D0\uC591\uC5B4\uC120)');
shipTypeMap.set('B014', '\uC5B4\uC120(\uC6D0\uC591\uCC38\uCE58\uC5F0\uC2B9\uC5B4\uC5C5)');
shipTypeMap.set('B015', '\uC5B4\uC120(\uC6D0\uC591\uC120\uB9DD\uC5B4\uC5C5)');
shipTypeMap.set('B016', '\uC5B4\uC120(\uC6D0\uC591\uD2B8\uB864\uC5B4\uC5C5)');
shipTypeMap.set('B017', '\uC5B4\uC120(\uC6D0\uC591\uC800\uC778\uB9DD\uC5B4\uC5C5)');
shipTypeMap.set('B018', '\uC5B4\uC120(\uC6D0\uC591\uCC44\uB0DA\uAE30\uC5B4\uC5C5)');
shipTypeMap.set('B019', '\uC5B4\uC120(\uC6D0\uC591\uD1B5\uBC1C\uC5B4\uC5C5)');
shipTypeMap.set('B020', '\uC5B4\uC120(\uC6D0\uC591\uC800\uC5F0\uC2B9\uC5B4\uC5C5)');
shipTypeMap.set('B021', '\uC5B4\uC120(\uC6D0\uC591\uBD09\uC218\uB9DD\uC5B4\uC5C5)');
shipTypeMap.set('B022', '\uC5B4\uC120(\uC6D0\uC591\uBAA8\uC120\uC2DD\uC5B4\uC5C5)');
shipTypeMap.set('B023', '\uC5B4\uC120(\uC6D0\uC591\uC5B4\uC5C5\uC6B4\uBC18\uC120)');
shipTypeMap.set('C001', '\uD654\uBB3C\uC120(\uC77C\uBC18)');
shipTypeMap.set('C002', '\uD654\uBB3C\uC120(\uBC8C\uD06C\uC120)');
shipTypeMap.set('C003', '\uD654\uBB3C\uC120(\uC591\uACE1\uC6B4\uBC18\uC120)');
shipTypeMap.set('C004', '\uD654\uBB3C\uC120(\uC6D0\uBAA9\uC6B4\uBC18\uC120)');
shipTypeMap.set('C005', '\uD654\uBB3C\uC120(\uAD11\uBAA9\uC6B4\uBC18\uC120)');
shipTypeMap.set('C006', '\uD654\uBB3C\uC120(\uC11D\uD0C4\uC6B4\uBC18\uC120)');
shipTypeMap.set('C007', '\uD654\uBB3C\uC120(\uC2DC\uBA58\uD2B8\uC6B4\uBC18\uC120)');
shipTypeMap.set('C008', '\uD654\uBB3C\uC120(\uC790\uB3D9\uCC28\uC6B4\uBC18\uC120)');
shipTypeMap.set('C009', '\uD654\uBB3C\uC120(\uD56B\uCF54\uC77C\uC6B4\uBC18\uC120)');
shipTypeMap.set('C010', '\uD654\uBB3C\uC120(\uCCA0\uAC15\uC7AC\uC6B4\uBC18\uC120)');
shipTypeMap.set('C011', '\uD654\uBB3C\uC120(\uBAA8\uB798\uC6B4\uBC18\uC120)');
shipTypeMap.set('C012', '\uD654\uBB3C\uC120(\uD3D0\uAE30\uBB3C\uC6B4\uBC18\uC120)');
shipTypeMap.set('C013', '\uD654\uBB3C\uC120(\uCF54\uC77C\uC6B4\uBC18\uC120-RORO\uC120)');
shipTypeMap.set('C014', '\uD654\uBB3C\uC120(\uB0C9\uB3D9, \uB0C9\uC7A5\uC120)');
shipTypeMap.set('C015', '\uD654\uBB3C\uC120(\uCEE8\uD14C\uC774\uB108\uC120)');
shipTypeMap.set('C016', '\uD654\uBB3C\uC120(\uC6D0\uC720\uC6B4\uBC18\uC120)');
shipTypeMap.set('C017', '\uD654\uBB3C\uC120(\uC11D\uC720\uC81C\uD488 \uC6B4\uBC18\uC120)');
shipTypeMap.set('C018', '\uD654\uBB3C\uC120(\uAE30\uD0C0 \uC720\uC870\uC120)');
shipTypeMap.set('C019', '\uD654\uBB3C\uC120(\uCF00\uBBF8\uCE7C \uC6B4\uBC18\uC120)');
shipTypeMap.set('C020', '\uD654\uBB3C\uC120(\uCF00\uBBF8\uCE7C\uAC00\uC2A4 \uC6B4\uBC18\uC120)');
shipTypeMap.set('C021', '\uD654\uBB3C\uC120(LPG \uC6B4\uBC18\uC120)');
shipTypeMap.set('C022', '\uD654\uBB3C\uC120(LNG \uC6B4\uBC18\uC120)');
shipTypeMap.set('C023', '\uD654\uBB3C\uC120(\uC77C\uBC18\uD0F1\uCEE4)');
shipTypeMap.set('D001', '\uAD00\uACF5\uC120(\uC77C\uBC18)');
shipTypeMap.set('D002', '\uAD00\uACF5\uC120(\uD574\uACBD\uC815)');
shipTypeMap.set('D003', '\uAD00\uACF5\uC120(\uC870\uC0AC\uC120)');
shipTypeMap.set('D004', '\uAD00\uACF5\uC120(\uC9C0\uB3C4\uC120)');
shipTypeMap.set('D005', '\uAD00\uACF5\uC120(\uC2DC\uD5D8\uC120)');
shipTypeMap.set('D006', '\uAD00\uACF5\uC120(\uAD70\uC120)');
shipTypeMap.set('D007', '\uAD00\uACF5\uC120(\uD574\uACBD\uD56D\uACF5\uAE30)');
shipTypeMap.set('D008', '\uAD00\uACF5\uC120(\uBC29\uC81C\uC120)');
shipTypeMap.set('D009', '\uAD00\uACF5\uC120(\uC758\uB8CC\uC120)');
shipTypeMap.set('E001', '\uAE30\uD0C0(\uC77C\uBC18)');
shipTypeMap.set('E002', '\uAE30\uD0C0(\uC608\uC120-\uB3C4\uC120)');
shipTypeMap.set('E003', '\uAE30\uD0C0(\uC678\uAD6D\uC801\uC120)');
shipTypeMap.set('E004', '\uAE30\uD0C0(\uC720\uB958\uAE09\uC720\uAE09\uC218\uC120)');
shipTypeMap.set('E005', '\uAE30\uD0C0(\uD1B5\uC120)');
shipTypeMap.set('E006', '\uAE30\uD0C0(\uBD80\uC120)');
shipTypeMap.set('E007', '\uAE30\uD0C0(\uC2E0\uC870\uC120)');
shipTypeMap.set('E008', '\uAE30\uD0C0(\uD2B9\uC218\uBAA9\uC801\uC120)');
shipTypeMap.set('E009', '\uAE30\uD0C0(\uC900\uC124\uC120)');
shipTypeMap.set('E010', '\uAE30\uD0C0(\uC720\uCC3D\uCCAD\uC18C\uC120)');
shipTypeMap.set('E011', '\uAE30\uD0C0(\uC704\uADF8\uC120)');
shipTypeMap.set('E012', '\uAE30\uD0C0(\uC7A0\uC218\uC9C0\uC6D0\uC120)');
shipTypeMap.set('E013', '\uAE30\uD0C0(\uBC94\uC120)');
shipTypeMap.set('E014', '\uAE30\uD0C0(\uACE0\uC18D\uC120-HSC)');
